Certificate
OpenAPI V1
Gives the list of certificates owned by the user defined by the user email.
Please enter token
The user email passed as query string.
user@gmail.comName of the application to integrates with API’s to Semansys.Next.
Contract owner (organization) name that have embedded the API’s.
Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.
Customer (organization) name (ie. accounting firm, intermediary, ....).
Business Identification Number (BIN) of the customer.
Client (organization) name of the customer of the accounting firm, intermediary...
Business Identification Number (BIN) of the client.
OK
https://portal...user@gmail.comMy first certificateMy first db certificate nameDigipoortBad Request
Unauthorized
GET /customer-corner/certificate?userEmail=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-version: text
Accept: */*
[
{
"id": "https://portal...",
"userId": "user@gmail.com",
"name": "My first certificate",
"dbName": "My first db certificate name",
"type": "Digipoort"
}
]Upload certificate to the platform in .pfx or .p12 format.
Please enter token
Name of the application to integrates with API’s to Semansys.Next.
Contract owner (organization) name that have embedded the API’s.
Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.
Customer (organization) name (ie. accounting firm, intermediary, ....).
Business Identification Number (BIN) of the customer.
Client (organization) name of the customer of the accounting firm, intermediary...
Business Identification Number (BIN) of the client.
B63E7C115FA...My passwordMy first certificateuser@gmail.comDigipoortOK
Bad Request
Unauthorized
POST /customer-corner/certificate HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-version: text
Content-Type: application/json
Accept: */*
Content-Length: 131
{
"content": "B63E7C115FA...",
"password": "My password",
"name": "My first certificate",
"userEmail": "user@gmail.com",
"type": "Digipoort"
}Your data has been processed successfullyDelete certificate from the platform.
Please enter token
Name of the application to integrates with API’s to Semansys.Next.
Contract owner (organization) name that have embedded the API’s.
Business Identification Number (BIN) of the contract owner (organization) to embeds the API’s.
Customer (organization) name (ie. accounting firm, intermediary, ....).
Business Identification Number (BIN) of the customer.
Client (organization) name of the customer of the accounting firm, intermediary...
Business Identification Number (BIN) of the client.
No content
The reson why the certificate could not be deleted.
Unauthorized
DELETE /customer-corner/certificate HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
x-api-version: text
Content-Type: application/json
Accept: */*
Content-Length: 106
"http://www.nltaxonomie.nl/nt18/kvk/20231213/entrypoints/kvk-rpt-jaarverantwoording-2023-nlgaap-micro.xsd"No content
Was this helpful?